% Assumes you have already run largemu, and just implements the diff to run
% step 1

syms y

% Re-define mu and delta
mu = 2/n*y;
delta = mu/16;

% Re-define B3, B4, and B7 (they depend on delta)
B3 = - ( (1-2/n)*a2 + 1/n*(a1+a2 -2*alpha/n*b + alpha*alpha/n/n*c )-(1-delta)*a2);
B4 = - n * ( (1-2/n)*(a1-2*alpha/n*b+alpha*alpha/n/n*c) - (1-delta)*a1 ) + B3;
B7 = 2 * ( a1 - 2*alpha/n*b + alpha*alpha/n/n*c ) + 2 * ( - h*(1-delta)*d );

isPositive(subs(B3,y,0) - subs(B3,y,1),0,1/2) % B3 is decreasing
isPositive(subs(B3,y,1),0,1/2) % B3 is positive when y==1 (Constraint 3)
isPositive(subs(B4,y,0) - subs(B3,y,1),0,1/2) % B4 is decreasing
isPositive(subs(B4,y,1),0,1/2) % B4 is positive at y=1 (Constraint 4)
isPositive(simplify(subs(B6+B7,y,1) - subs(B6+B7,y,0)),0,1/2) % B6+B7 is increasing
isPositive(subs(B6+B7,y,0),0,1/2) % B6+B7 is positive when y==0
